package com.hzya.frame.sys.templateView.dao;

import com.hzya.frame.sys.templateView.entity.TemplateView;
import java.util.List;

/**
 * @description: 模板视图表  dao
 * @tableName: sys_template_view 
 * @entityName: TemplateView
 * @author: gjh
 * @history: 1.0
 */
public interface ITemplateViewMapper {

        //通过ID获取数据    entity_get
        TemplateView entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<TemplateView> entity_list_base(TemplateView entity);

        //  查询符合条件的数量
        Integer entity_count(TemplateView entity);

        //分页查询列表 采用like格式 entity_list_like
        List<TemplateView> entity_list_like(TemplateView entity);

        //查询列表 字段采用or格式   entity_list_or
        List<TemplateView> entity_list_or(TemplateView entity);

        //新增  entity_insert
        Integer entity_insert(TemplateView entity);

        //修改  entity_update
        Integer entity_update(TemplateView entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(TemplateView entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(TemplateView entity);

        //物理删除
        Integer entity_delete(TemplateView entity);


}
